--==========================================================================================================================
-- USER SETTINGS (THIS IS NEEDED IN MOST CASES)
--==========================================================================================================================
-- JFD_GlobalUserSettings
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
JFD_GlobalUserSettings (
    Type                text            default null,
    Value               integer         default 1);
--=======================================================================================================================
-- BINGLES CIV IV TRAITS
--=======================================================================================================================
-- Leader_SharedTraits
------------------------------	
CREATE TABLE IF NOT EXISTS 
    Leader_SharedTraits (
    LeaderType          text    REFERENCES Leaders(Type)        default null,
    TraitOne            text    REFERENCES Policies(Type)       default null,
    TraitTwo            text    REFERENCES Policies(Type)       default null);
     
INSERT INTO Leader_SharedTraits
        (LeaderType,			TraitOne,				TraitTwo)
VALUES  ('LEADER_SABER',		'POLICY_PROTECTIVE_X',	'POLICY_CHARISMATIC_X'),
		('LEADER_SABER_LILY',	'POLICY_PROTECTIVE_X',	'POLICY_CHARISMATIC_X');
------------------------------	
-- Leaders
------------------------------	
UPDATE Leaders 
SET Description = 'Arturia [ICON_STRENGTH][ICON_HAPPINESS_1]'
WHERE Type = 'LEADER_SABER'
AND EXISTS (SELECT * FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X');

UPDATE Leaders 
SET Description = 'Arturia [ICON_STRENGTH][ICON_HAPPINESS_1]'
WHERE Type = 'LEADER_SABER_LILY'
AND EXISTS (SELECT * FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X');
--==========================================================================================================================	
-- Gazebo's Community Balance Patch (Vox Populi)
--==========================================================================================================================
-- COMMUNITY
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS COMMUNITY (Type TEXT, Value INTEGER);
------------------------------
-- Trait
------------------------------
-- Saber
UPDATE Policies
SET WarWearinessModifier = '20'
WHERE Type = 'POLICY_SABER_DUMMY' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_POLICIES' AND Value= 1 );

UPDATE Policies
SET IsDummy = '1'
WHERE Type = 'POLICY_SABER_DUMMY' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_POLICIES' AND Value= 1 );

INSERT INTO UnitPromotions 
		(Type, 						AttackMod, DefenseMod, Description, 						Help, 						 			Sound, 		 CannotBeChosen, LostWithUpgrade, PortraitIndex, IconAtlas, 			PediaType, 			PediaEntry)
VALUES	('PROMOTION_EXCALIBUR',			10,			10,		'TXT_KEY_PROMOTION_EXCALIBUR',	'TXT_KEY_PROMOTION_EXCALIBUR_HELP',   'AS2D_IF_LEVELUP',  1, 				0,			  13, 		'PROMOTION_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_EXCALIBUR');

INSERT INTO Language_en_US (Tag, Text) VALUES
		('TXT_KEY_PROMOTION_EXCALIBUR', 'Excalibur: Sword of Promised Victory'),
		('TXT_KEY_PROMOTION_EXCALIBUR_HELP', '+10% [ICON_STRENGTH] Combat Strength. When killing an enemy unit, all adjacent enemy units receive 5 additional damage.');

UPDATE Trait_FreePromotionUnitCombats
SET PromotionType = 'PROMOTION_EXCALIBUR'
WHERE TraitType = 'TRAIT_MELEE_UNITS_SIEGE' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LEADERS' AND Value= 1 );

UPDATE Language_en_US
SET Text = 'City''s [ICON_FOOD] Food surplus is added to its current [ICON_PRODUCTION] Production when training Units. Forts and Citadels provide +2[ICON_FOOD] Food. When a Melee unit kills an enemy unit, all adjacent enemy units receive 5 additional damage.  War Weariness is reduced by 20%.'
WHERE Tag = 'TXT_KEY_TRAIT_MELEE_UNITS_SIEGE' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LEADERS' AND Value= 1 );

-- Saber Lily
UPDATE Policies
SET IsDummy = '1'
WHERE Type = 'POLICY_SABER_LILY_DECISION' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_POLICIES' AND Value= 1 );
------------------------------
-- Buildings
------------------------------
UPDATE Buildings
SET CitySupplyModifier = '10'
WHERE Type = 'BUILDING_ARTHURIAN_COURT' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );

UPDATE Buildings
SET DefenseHappinessChange = '-10'
WHERE Type = 'BUILDING_ARTHURIAN_COURT' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );

INSERT INTO Building_ImprovementYieldChanges
	(BuildingType, ImprovementType, YieldType, Yield) VALUES
	('BUILDING_ARTHURIAN_COURT', 'IMPROVEMENT_QUARRY', 'YIELD_PRODUCTION', 1);

INSERT INTO Building_YieldChanges
	(BuildingType, 					YieldType,				 Yield) VALUES
	('BUILDING_ARTHURIAN_COURT', 'YIELD_GREAT_GENERAL_POINTS', 1);

UPDATE Language_en_US
SET Text = 'Reduces the cost of Social Policies by 1%. Grants +1 [ICON_GREAT_GENERAL] Great General point in the City.[NEWLINE][NEWLINE]City must have Walls. +1 [ICON_PRODUCTION] Production for Quarries worked by this City. Military Units supplied by this City''s population increased by 10%. Contains 1 slot for a Great Work of Art or Artifact.'
WHERE Tag = 'TXT_KEY_BUILDING_ARTHURIAN_COURT_HELP' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LEADERS' AND Value= 1 );

------------------------------
-- Units
------------------------------
UPDATE Language_en_US
SET Text = 'The Knight of the Round Table is the British Unique replacement for the Great General. It provides the Great General combat bonus and may construct Citadels as normal, but it fights as a Mounted combat unit, unlike the Great General. It begins with 14 [ICON_STRENGTH] Combat Strength, which increases every time you research a new Technology which unlocks a new Mounted or Armored Unit (with the exception of Nuclear Fusion). Like most Armored and Mounted Units, it does not receive defensive bonuses and has a -33% penalty when attacking Cities. If one of your Knights of the Round Table is killed in combat, the loss of such a revered figure will cause your Empire to temporarily enter a state of Anarchy (3 turns at Standard speed). Knights of the Round Table do not require [ICON_RES_HORSE] Horses in order to be generated. +1[ICON_GOLDEN_AGE] to her city of birth.'
WHERE Tag = 'TXT_KEY_UNIT_KOTR_FSN_HELP' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS' AND Value= 1 );

--==========================================================================================================================
-- Hazel's Map Labels
--==========================================================================================================================
-- ML_CivCultures
------------------------------	
CREATE TABLE IF NOT EXISTS ML_CivCultures (ID INTEGER PRIMARY KEY AUTOINCREMENT, CivType TEXT, CultureType TEXT, CultureEra TEXT DEFAULT 'ANY');
INSERT INTO ML_CivCultures
		(CivType,					CultureType, CultureEra)
SELECT	'CIVILIZATION_BRITAIN_FSN',	CultureType, CultureEra
FROM ML_CivCultures WHERE CivType = 'CIVILIZATION_ENGLAND';
--==========================================================================================================================
-- BrutalSamurai's Ethnic Units/Gedemon's R.E.D.
--==========================================================================================================================
-- Civilizations
------------------------------	
UPDATE Civilizations 
SET ArtStyleSuffix = '_ENGLAND'
WHERE Type = 'CIVILIZATION_BRITAIN_FSN'
AND EXISTS (SELECT * FROM Civilizations WHERE ArtStyleSuffix = '_ENGLAND');
--==========================================================================================================================
-- TOMATEKH'S HISTORICAL RELIGIONS
--==========================================================================================================================
-- Civilization_Religions
------------------------------------------------------------
--==========================================================================================================================
-- JFD CIVILOPEDIA
--==========================================================================================================================
-- JFD_Civilopedia_HideFromPedia
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
JFD_Civilopedia_HideFromPedia (Type text default null);
 
--Any items entered into this table will not show into the Civilopedia. There is no technical limitation as to what can be hidden (I think).
--INSERT INTO JFD_Civilopedia_HideFromPedia
--       (Type)
--VALUES  --('BUILDING_DMS_UBUGABIRE_BUILDING_BONUS'),
--		('');
--==========================================================================================================================
-- JFD's CITIES IN DEVELOPMENT (10e9728f-d61c-4317-be4f-7d52d6bae6f4)
-- Please Note: it is NOT necessary to make any changes to this if you had supported Colony Names under the ExCE ID. 
-- You will only need to add support for Claims if you wish some of your Decisions to cost Dignitaries instead of Magistrates. Examples TBD.
--==========================================================================================================================
-- BuildingClass_ConstructionAudio
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS
BuildingClass_ConstructionAudio (
    BuildingClassType                           text    REFERENCES BuildingClasses(Type)        default null,
    ConstructionAudio                           text                                            default null);

--The following will override any entries for the above.
CREATE TABLE IF NOT EXISTS
Building_ConstructionAudio (
    BuildingType                                text    REFERENCES Buildings(Type)              default null,
    ConstructionAudio                           text                                            default null);
  
--If you wish to add your own unique sounds, the beginning Jingle can be found here:
--https://www.dropbox.com/s/p5llo4y55ym4toa/StarterSfx.wav?dl=0
------------------------------------------------------------
-- Civilization_JFD_ColonialCityNames
------------------------------------------------------------    
CREATE TABLE IF NOT EXISTS 
Civilization_JFD_ColonialCityNames (
    CivilizationType                            text    REFERENCES Civilizations(Type)      default null,
    ColonyName                                  text                                        default null,
    LinguisticType                              text                                        default null,
    CultureType                                 text                                        default null);
/*
JFD_Germanic, JFD_Latinate, JFD_Tai_Khmer, JFD_Austronesian, JFD_Arabic, JFD_Slavic, JFD_Mesopotamian, JFD_Mesoamerican, JFD_Oriental,
JFD_Finno_Ugric, JFD_Semitic, JFD_Hellenic, JFD_Bantu, JFD_Songhay, JFD_Indo_Iranian, JFD_Altaic, JFD_Celtic, JFD_NorthAmerican, JFD_Quechumaran
*/
INSERT INTO Civilization_JFD_ColonialCityNames
        (CivilizationType,                     ColonyName,                             LinguisticType)
VALUES  ('CIVILIZATION_BRITAIN_FSN',            null,                                   'JFD_Germanic');
------------------------------------------------------------		
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_DECOLONIZATION');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
--A value of 0-10 may be set. This value determines the proclivity a civ has toward annexing a colony, where 0 means never, and 10 means as soon as possible.
INSERT INTO Leader_Flavors
		(LeaderType,			FlavorType,						Flavor)
VALUES	('LEADER_SABER',		'FLAVOR_JFD_DECOLONIZATION',	8),
		('LEADER_SABER_LILY',	'FLAVOR_JFD_DECOLONIZATION',	6);
--==========================================================	
-- PROVINCES 
--==========================================================	
-- Civilization_JFD_ProvinceTitles
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_ProvinceTitles (
	CivilizationType  				text 		REFERENCES Civilizations(Type) 					default null,
	ReligionType  					text 		REFERENCES Religions(Type) 						default null, -- ignore this
	DefaultTitle					text 		 												default null,
	UniqueTitle						text 		 												default null,
	UseAdjective					boolean														default 0);	
	
/*
Default Titles:
TXT_KEY_PROVINCE_JFD_BARONY_DESC_MONARCHY -- Barony
TXT_KEY_PROVINCE_JFD_BARONY_DESC_RULER_MONARCHY
TXT_KEY_PROVINCE_JFD_BARONY_DESC_RULER_MONARCHY_FEMININE
TXT_KEY_PROVINCE_JFD_COUNTY_DESC_MONARCHY -- County
TXT_KEY_PROVINCE_JFD_COUNTY_DESC_RULER_MONARCHY
TXT_KEY_PROVINCE_JFD_COUNTY_DESC_RULER_MONARCHY_FEMININE
TXT_KEY_PROVINCE_JFD_DUCHY_DESC_MONARCHY -- Duchy
TXT_KEY_PROVINCE_JFD_DUCHY_DESC_RULER_MONARCHY
TXT_KEY_PROVINCE_JFD_DUCHY_DESC_RULER_MONARCHY_FEMININE
TXT_KEY_PROVINCE_JFD_COLONY_DESC_MONARCHY -- Colony
TXT_KEY_PROVINCE_JFD_COLONY_DESC_RULER_MONARCHY
TXT_KEY_PROVINCE_JFD_COLONY_DESC_RULER_MONARCHY_FEMININE 

(Generally, Republics do not have unique titles)
TXT_KEY_PROVINCE_JFD_BARONY_DESC_REPUBLIC -- Municipality
TXT_KEY_PROVINCE_JFD_BARONY_DESC_RULER_REPUBLIC
TXT_KEY_PROVINCE_JFD_BARONY_DESC_RULER_REPUBLIC_FEMININE
TXT_KEY_PROVINCE_JFD_COUNTY_DESC_REPUBLIC -- County
TXT_KEY_PROVINCE_JFD_COUNTY_DESC_REPUBLIC_MONARCHY
TXT_KEY_PROVINCE_JFD_COUNTY_DESC_REPUBLIC_MONARCHY_FEMININE
TXT_KEY_PROVINCE_JFD_DUCHY_DESC_REPUBLIC -- State
TXT_KEY_PROVINCE_JFD_DUCHY_DESC_RULER_REPUBLIC
TXT_KEY_PROVINCE_JFD_DUCHY_DESC_RULER_REPUBLIC_FEMININE
TXT_KEY_PROVINCE_JFD_COLONY_DESC_REPUBLIC -- Colony
TXT_KEY_PROVINCE_JFD_COLONY_DESC_RULER_REPUBLIC
TXT_KEY_PROVINCE_JFD_COLONY_DESC_RULER_REPUBLIC_FEMININE 
*/	
--This is an example of support which copies all attributes from an existing civ (i.e. Denmark). For the most part, this is probably all you'll need; just change 'CIVILIZATION_JFD_SCOTLAND' to the
--tag of your custom civ. 
INSERT INTO Civilization_JFD_ProvinceTitles
		(CivilizationType,				DefaultTitle, UniqueTitle, UseAdjective)
SELECT	'CIVILIZATION_BRITAIN_FSN',		DefaultTitle, UniqueTitle, UseAdjective
FROM Civilization_JFD_ProvinceTitles WHERE CivilizationType = 'CIVILIZATION_ENGLAND';
--==========================================================================================================================    
-- JFD's CITIES IN DEVELOPMENT: SLAVERY (10e9728f-d61c-4317-be4f-7d52d6bae6f4)
--==========================================================================================================================    
-- Flavors
------------------------------------------------------------
INSERT OR REPLACE INTO Flavors 
        (Type)
VALUES  ('FLAVOR_JFD_SLAVERY');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------  
--A value of 0-10 may be set. This value determines the proclivity a civ has toward enslaving a captured city and toward spending Slavery on Units.
INSERT INTO Leader_Flavors
        (LeaderType,           	FlavorType,                 Flavor)
VALUES  ('LEADER_SABER',		'FLAVOR_JFD_SLAVERY',       7),
		('LEADER_SABER_LILY',	'FLAVOR_JFD_SLAVERY',       3);
--==========================================================================================================================
-- JFD's CULTURAL DIVERSITY (31a31d1c-b9d7-45e1-842c-23232d66cd47)
--==========================================================================================================================
-- Civilization_JFD_CultureTypes
-------------------------------------   
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_CultureTypes(
	CivilizationType 					text 		REFERENCES Civilizations(Type) 		default null,
	CultureType 						text											default null,
	SubCultureType 						text											default null,
	ArtDefineTag						text											default	null,
	DecisionsTag						text											default	null,
	DefeatScreenEarlyTag				text											default	null,
	DefeatScreenMidTag					text											default	null,
	DefeatScreenLateTag					text											default	null,
	IdealsTag							text											default	null,
	SplashScreenTag						text											default	null,
	SoundtrackTag						text											default	null,
	UnitDialogueTag						text											default null);

INSERT INTO Civilization_JFD_CultureTypes
		(CivilizationType,			ArtDefineTag, CultureType, SubCultureType, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag, SplashScreenTag, SoundtrackTag,  UnitDialogueTag)
SELECT	'CIVILIZATION_BRITAIN_FSN',	ArtDefineTag, CultureType, SubCultureType, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag
FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_ENGLAND';
------------------------------	
-- Civilizations
------------------------------	
UPDATE Civilizations 
SET SoundtrackTag = 'JFD_Western'
WHERE Type = 'CIVILIZATION_BRITAIN_FSN'
AND EXISTS (SELECT * FROM Civilization_JFD_CultureTypes WHERE SoundtrackTag = 'JFD_Western')
--AND EXISTS (SELECT * FROM JFD_GlobalUserSettings WHERE Type = 'JFD_CULDIV_SOUNDTRACK_ADDON' AND Value = 1);
--==========================================================================================================================
-- JFD's EXPLORATION CONTINUED EXPANDED (6676902b-b907-45f1-8db5-32dcb2135eee)
--==========================================================================================================================
-- nothing here
--==========================================================================================================================    
-- JFD's AND POUAKAI's MERCENARIES (a19351c5-c0b3-4b07-8695-4affaa199949)
--==========================================================================================================================
-- Flavors
------------------------------------------------------------    
INSERT OR REPLACE INTO Flavors 
        (Type)
VALUES  ('FLAVOR_JFD_MERCENARY');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------    
--A value of 0-10 may be set. This value determines the likelihood that a leader will take out Mercenary Contracts (provided they have the funds).
--A value of 10 means this civilization will always take a Contract if available. A value of 0 means this civilization will never take out a contract.
INSERT INTO Leader_Flavors
        (LeaderType,			FlavorType,					Flavor)
VALUES  ('LEADER_SABER',		'FLAVOR_JFD_MERCENARY',       7),
		('LEADER_SABER_LILY',	'FLAVOR_JFD_MERCENARY',       3);
--==========================================================================================================================    
-- JFD's PIETY (eea66053-7579-481a-bb8d-2f3959b59974)
--==========================================================================================================================    
-- Flavors
------------------------------------------------------------    
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_RELIGIOUS_INTOLERANCE'),
		('FLAVOR_JFD_STATE_RELIGION');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------    
--A value of 1-12 may be set. This value determines the diplomatic penalty/bonus with civilizations of a different/same state religion
--A value higher than 9 means this civilization will never secularise. A value of 0 means this civilization has no interest in State Religion.
INSERT INTO Leader_Flavors
        (LeaderType,					FlavorType,                             Flavor)
VALUES  ('LEADER_SABER',		'FLAVOR_JFD_RELIGIOUS_INTOLERANCE',     4),
		('LEADER_SABER',		'FLAVOR_JFD_STATE_RELIGION',			5),
		('LEADER_SABER_LILY',	'FLAVOR_JFD_RELIGIOUS_INTOLERANCE',     4),
		('LEADER_SABER_LILY',	'FLAVOR_JFD_STATE_RELIGION',			5);
--==========================================================================================================================
-- JFD's RISE TO POWER: PROSPERITY (eea66053-7579-481a-bb8d-2f3959b59974)
--==========================================================================================================================
-- Civilization_JFD_Currencies
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
    Civilization_JFD_Currencies (
    CivilizationType                text        REFERENCES Civilizations(Type)  default null,
    CurrencyType                    text                                        default null);
 
INSERT INTO Civilization_JFD_Currencies
        (CivilizationType,                  CurrencyType)
SELECT  ('CIVILIZATION_BRITAIN_FSN'),		CurrencyType
FROM Civilization_JFD_Currencies WHERE CivilizationType = 'CIVILIZATION_ENGLAND'; 
--==========================================================================================================================    
-- JFD's SOVEREIGNTY (d99bf7aa-51ac-4bef-bd88-d765b28e260e)
--==========================================================================================================================
-- Civilization_JFD_Governments
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
    Civilization_JFD_Governments (
    CivilizationType                text        REFERENCES Civilizations(Type)                  default null,
    CultureType                     text                                                        default null,
    LegislatureName                 text                                                        default null,
    OfficeTitle                     text                                                        default null,
    GovernmentType                  text                                                        default null,
    Weight                          integer                                                     default 0);
 
--This table determines a variety of things relating to your Government.
--The LegislatureName refers to the name of your Legislature (e.g. the Imperial Diet). 
--The OfficeTitle refers to the title of your Head of Government (if a Const. Monarchy) (e.g. Vizier. Default is Prime Minister)
--GovernmentType and Weight prefer to a Government preference (GOVERNMENT_JFD_MONARCHY or GOVERNMENT_JFD_REPUBLIC) and how strong that preference is.
INSERT INTO Civilization_JFD_Governments
		(CivilizationType,			LegislatureName, OfficeTitle, GovernmentType, Weight)
SELECT	'CIVILIZATION_BRITAIN_FSN',	LegislatureName, OfficeTitle, GovernmentType, Weight
FROM Civilization_JFD_Governments WHERE CivilizationType = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------    
-- Civilization_JFD_HeadsOfGovernment   
------------------------------------------------------------    
CREATE TABLE IF NOT EXISTS  
    Civilization_JFD_HeadsOfGovernment (    
    CivilizationType                text        REFERENCES Civilizations(Type)                  default null,
    CultureType                     text                                                        default null,
    HeadOfGovernmentName            text                                                        default null);
 
--These are the Heads of your Government, which are randomly chosen when a new Legislature is formed.
--The standard number for each civ is 25. However, you may leave this table empty and your civ will call
--from a cultural list (so long as you have Cultural Diversity support).
INSERT INTO Civilization_JFD_HeadsOfGovernment
		(CivilizationType,			HeadOfGovernmentName)
SELECT	'CIVILIZATION_BRITAIN_FSN',	HeadOfGovernmentName
FROM Civilization_JFD_HeadsOfGovernment WHERE CivilizationType = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------
-- Civilization_JFD_Titles
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
    Civilization_JFD_Titles (
    CivilizationType                text        REFERENCES Civilizations(Type)                  default null,
    CultureType                     text                                                        default null,
    ReligionType                    text        REFERENCES Religions(Type)                      default null,
    DefaultTitle                    text                                                        default null,
    UniqueTitle                     text                                                        default null,
    UseAdjective                    boolean                                                     default 0); 
 
--This lists all the unique titles that a civilization should use instead of a standard one. If left blank, a culture-specific title will be used instead (if CulDiv support).
--The default titles are as follows:
----TXT_KEY_GOVERNMENT_JFD_TRIBE_TITLE_GOVERNMENT (Tribe)
----TXT_KEY_GOVERNMENT_JFD_TRIBE_TITLE_LEADER (Chief/Chieftess)
----TXT_KEY_GOVERNMENT_JFD_PRINCIPALITY_TITLE_LEADER (Grand Prince)
----TXT_KEY_GOVERNMENT_JFD_PRINCIPALITY_TITLE_GOVERNMENT (Grand Principality)
----TXT_KEY_GOVERNMENT_JFD_MONARCHY_TITLE_LEADER (King/Queen)
----TXT_KEY_GOVERNMENT_JFD_MONARCHY_TITLE_GOVERNMENT (Kingdom)
----TXT_KEY_GOVERNMENT_JFD_EMPIRE_TITLE_LEADER (Emperor/Empress)
----TXT_KEY_GOVERNMENT_JFD_EMPIRE_TITLE_GOVERNMENT (Empire)
----TXT_KEY_GOVERNMENT_JFD_COMMONWEALTH_TITLE_GOVERNMENT (Commonwealth)
----TXT_KEY_GOVERNMENT_JFD_REPUBLIC_TITLE_LEADER (Consul)
----TXT_KEY_GOVERNMENT_JFD_REPUBLIC_TITLE_LEADER_LATE (President)
----TXT_KEY_GOVERNMENT_JFD_REPUBLIC_TITLE_GOVERNMENT (Republic)
----TXT_KEY_GOVERNMENT_JFD_DICTATORSHIP_TITLE_LEADER (Dictator)
----TXT_KEY_GOVERNMENT_JFD_FEDERATION_TITLE_GOVERNMENT (Federation)
 
--For 'LEADER' titles, just include the title in the text, e.g. "Pharoah." 
--For 'GOVERNMENT' titles, include a placeholder for your civ's short description, e.g. "Kingdom of {1_CivName}"
--Use 'UseAdjective' when you want the 'GOVERNMENT' title to read (e.g.): "{1_CivAdj} Kingdom" instead of "Kingdom of {1_CivName}"
INSERT INTO Civilization_JFD_Titles
        (CivilizationType,			DefaultTitle,										UniqueTitle)
SELECT	'CIVILIZATION_BRITAIN_FSN',	DefaultTitle,										UniqueTitle
FROM Civilization_JFD_Titles WHERE CivilizationType = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------
-- JFD_PrivyCouncillor_UniqueNames
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	JFD_PrivyCouncillor_UniqueNames (
	PrivyCouncillorType  				text 										 	default null,
	PolicyType  						text 	REFERENCES Policies(Type) 				default null,
	CivilizationType					text	REFERENCES Civilizations(Type) 			default	null,
	CultureType							text											default	null,
	GovernmentType  					text 	 										default null,
	ReligionType						text	REFERENCES Religions(Type) 				default	null,
	UniqueName							text											default	null);
------------------------------------------------------------
-- Civilization_JFD_Politics
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Politics (
	CivilizationType  					text 		REFERENCES Civilizations(Type) 					default null,
	PoliticsType  						text 														default null,
	UniqueName							text														default	null);

--This lists all the unique names for a civ's political parties.
--Political Parties are as follows:
----FACTION_JFD_NATIONALIST
----FACTION_JFD_POPULARIST
----PARTY_JFD_BURGHERS
----PARTY_JFD_CLERGY
----PARTY_JFD_NOBILITY
----PARTY_JFD_REVOLUTIONARY
----PARTY_JFD_CONSERVATIVE
----PARTY_JFD_LIBERAL
----PARTY_JFD_REACTIONARY
----PARTY_JFD_SOCIALIST
----PARTY_JFD_COMMUNIST
----PARTY_JFD_FASCIST
----PARTY_JFD_LIBERTARIAN
INSERT INTO Civilization_JFD_Politics
		(CivilizationType,					PoliticsType, 				UniqueName)
SELECT  ('CIVILIZATION_BRITAIN_FSN'),		PoliticsType,				UniqueName
FROM Civilization_JFD_Politics WHERE CivilizationType = 'CIVILIZATION_ENGLAND'; 
------------------------------------------------------------
-- Flavors
------------------------------------------------------------    
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_REFORM_GOVERNMENT'),
		('FLAVOR_JFD_REFORM_LEGAL'),
		('FLAVOR_JFD_REFORM_CULTURE'),
		('FLAVOR_JFD_REFORM_ECONOMIC'),
		('FLAVOR_JFD_REFORM_FOREIGN'),
		('FLAVOR_JFD_REFORM_INDUSTRY'),
		('FLAVOR_JFD_REFORM_MILITARY'),
		('FLAVOR_JFD_REFORM_RELIGION');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------    
--Each flavour corresponds to one of the seven Reform Categories, and how likely a civ is to take a reform in either the Right, Centre, or Left column.
--A value of 1-3 will favour Left Reforms. A value of 4-6 will value Centre Reforms. A value of 7-10 will value Right Reforms. The strength of the value will determine how soon a Leader will implement that Reform.
INSERT INTO Leader_Flavors
        (LeaderType,					FlavorType,                         Flavor)
VALUES  ('LEADER_SABER',			'FLAVOR_JFD_REFORM_GOVERNMENT',     8),
		('LEADER_SABER',			'FLAVOR_JFD_REFORM_LEGAL',			8),
        ('LEADER_SABER',			'FLAVOR_JFD_REFORM_CULTURE',        4),
        ('LEADER_SABER',			'FLAVOR_JFD_REFORM_ECONOMIC',       6),
        ('LEADER_SABER',			'FLAVOR_JFD_REFORM_FOREIGN',        8),
        ('LEADER_SABER',			'FLAVOR_JFD_REFORM_INDUSTRY',       7),
        ('LEADER_SABER',			'FLAVOR_JFD_REFORM_MILITARY',       9),
        ('LEADER_SABER',			'FLAVOR_JFD_REFORM_RELIGION',       5),
		('LEADER_SABER_LILY',		'FLAVOR_JFD_REFORM_GOVERNMENT',     6),
		('LEADER_SABER_LILY',		'FLAVOR_JFD_REFORM_LEGAL',			5),
        ('LEADER_SABER_LILY',		'FLAVOR_JFD_REFORM_CULTURE',        4),
        ('LEADER_SABER_LILY',		'FLAVOR_JFD_REFORM_ECONOMIC',       6),
        ('LEADER_SABER_LILY',		'FLAVOR_JFD_REFORM_FOREIGN',        3),
        ('LEADER_SABER_LILY',		'FLAVOR_JFD_REFORM_INDUSTRY',       5),
        ('LEADER_SABER_LILY',		'FLAVOR_JFD_REFORM_MILITARY',       5),
        ('LEADER_SABER_LILY',		'FLAVOR_JFD_REFORM_RELIGION',       4);
--------------------------------------------------------------------------------------------------------------------------
-- Leader_JFD_Reforms
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Leader_JFD_Reforms (
	LeaderType  												text 	REFERENCES Leaders(Type) 				default	null,
	ReformType													text											default	null);

--==========================================================================================================================
-- Civilization_JFD_Inventions 
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS 
    Civilization_JFD_Inventions (
    CivilizationType                                               text     REFERENCES Civilizations(Type)               default null,
    InventionType                                                  text                                                  default null,
    InventionPreference                                            text                                                  default null);
    
INSERT INTO Civilization_JFD_Inventions
        (CivilizationType,				InventionType,              InventionPreference)
SELECT  ('CIVILIZATION_BRITAIN_FSN'),	InventionType,              InventionPreference)
FROM Civilization_JFD_Inventions WHERE CivilizationType = 'CIVILIZATION_ENGLAND'; 
--==========================================================================================================================
-- GEDEMON's YNAEMP (+JFD's v25)
--==========================================================================================================================
INSERT INTO Civilizations_YnAEMP
		(CivilizationType,  		 X, Y, AltX, AltY, MapPrefix)
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'Yagem' 			FROM Civilizations_YagemStartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND' UNION ALL
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'Yahem' 			FROM Civilizations_YahemStartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND' UNION ALL
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'Cordiform' 		FROM Civilizations_CordiformStartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND' UNION ALL
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'GreatestEarth' 	FROM Civilizations_GreatestEarthStartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND' UNION ALL
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'EuroGiant' 		FROM Civilizations_EuroGiantStartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND' UNION ALL
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'EuroLarge' 		FROM Civilizations_EuroLargeStartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND' UNION ALL
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'EuroLargeNew' 	FROM Civilizations_EuroLargeNewStartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND' UNION ALL
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'NorthAtlantic' 	FROM Civilizations_NorthAtlanticStartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND' UNION ALL
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'NorthSeaEurope' FROM Civilizations_NorthSeaEuropeStartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND' UNION ALL
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'NorthSeaGiant' 	FROM Civilizations_NorthSeaGiantStartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND' UNION ALL
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'NorthWestEurope' FROM Civilizations_NorthWestEuropeStartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND' UNION ALL
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'Americas' 		FROM Civilizations_AmericasStartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND' UNION ALL
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'AmericasGiant' 	FROM Civilizations_AmericasGiantStartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND' UNION ALL
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'BritishIsles' 	FROM Civilizations_BritishIslesStartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND' UNION ALL
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'AtlanticGiant' 	FROM Civilizations_AtlanticGiantStartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND' UNION ALL
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'GermanyHuge' 	FROM Civilizations_GermanyHugeStartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND' UNION ALL
SELECT	 'CIVILIZATION_BRITAIN_FSN', X, Y, AltX, AltY, 'EarthMk3' 		FROM Civilizations_EarthMk3StartPosition WHERE CivilizationType = 'CIVILIZATION_ENGLAND';

--==========================================================================================================================
-- Gedemon's YnAEMP
--==========================================================================================================================
-- Civilizations_YagemStartPosition (Earth Giant)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_YagemStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_YagemStartPosition
		(Type,							X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_YagemStartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_YahemStartPosition (Earth Huge)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_YahemStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_YahemStartPosition
		(Type,							X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_YahemStartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_CordiformStartPosition (Earth Standard)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_CordiformStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_CordiformStartPosition
		(Type,							X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_CordiformStartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_GreatestEarthStartPosition (Earth Greatest)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_GreatestEarthStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_GreatestEarthStartPosition
		(Type,							X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_GreatestEarthStartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_EuroGiantStartPosition (Europe Giant)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_EuroGiantStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_EuroGiantStartPosition
			(Type,						X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_EuroGiantStartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_EuroLargeStartPosition (Europe Large)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_EuroLargeStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_EuroLargeStartPosition
		(Type,							X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_EuroLargeStartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_EuroLargeNewStartPosition 
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_EuroLargeNewStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_EuroLargeNewStartPosition
		(Type,							X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_EuroLargeNewStartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_NorthAtlanticStartPosition (North Atlantic)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_NorthAtlanticStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_NorthAtlanticStartPosition
		(Type,							X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_NorthAtlanticStartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_NorthSeaEuropeStartPosition 
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_NorthSeaEuropeStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_NorthSeaEuropeStartPosition
		(Type,							X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_NorthSeaEuropeStartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_NorthSeaGiantStartPosition 
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_NorthSeaGiantStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_NorthSeaGiantStartPosition
		(Type,							X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_NorthSeaGiantStartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_NorthWestEuropeStartPosition 
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_NorthWestEuropeStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_NorthWestEuropeStartPosition
		(Type,							X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_NorthWestEuropeStartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_AmericasStartPosition (Americas)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_AmericasStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_AmericasStartPosition
		(Type,							X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_AmericasStartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_AmericasGiantStartPosition (Americas)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_AmericasGiantStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_AmericasGiantStartPosition
		(Type,							X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_AmericasGiantStartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_BritishIslesStartPosition (British Isles)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_BritishIslesStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_BritishIslesStartPosition
		(Type,							X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_BritishIslesStartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_AtlanticGiantStartPosition 
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_AtlanticGiantStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_AtlanticGiantStartPosition
		(Type,							X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_AtlanticGiantStartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_EarthMk3StartPosition 
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_EarthMk3StartPosition(Type, X, Y, AltX, AltY);
INSERT OR REPLACE INTO Civilizations_EarthMk3StartPosition
		(Type,							X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_EarthMk3StartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_GermanyHugeStartPosition
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_GermanyHugeStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_GermanyHugeStartPosition
		(Type,							X,		Y)
SELECT	'CIVILIZATION_BRITAIN_FSN',		X,		Y
FROM Civilizations_GermanyHugeStartPosition WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_YagemRequestedResource (Earth Giant)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_YagemRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_YagemRequestedResource
		(Type, 							Req1,				Yield1, Req2,				Yield2, Req3,				Yield3, Req4,				Yield4)
SELECT	'CIVILIZATION_BRITAIN_FSN',		Req1,				Yield1, Req2,				Yield2, Req3,				Yield3, Req4,				Yield4
FROM Civilizations_YagemRequestedResource WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_YahemRequestedResource (Earth Huge)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_YahemRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_YahemRequestedResource
		(Type, 							Req1,				Yield1, Req2,				Yield2, Req3,				Yield3, Req4,				Yield4)
SELECT	'CIVILIZATION_BRITAIN_FSN',		Req1,				Yield1, Req2,				Yield2, Req3,				Yield3, Req4,				Yield4
FROM Civilizations_YahemRequestedResource WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_GreatestEarthRequestedResource (Earth Greatest)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_GreatestEarthRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_GreatestEarthRequestedResource
		(Type, 							Req1,				Yield1, Req2,				Yield2, Req3,				Yield3, Req4,				Yield4)
SELECT	'CIVILIZATION_BRITAIN_FSN',		Req1,				Yield1, Req2,				Yield2, Req3,				Yield3, Req4,				Yield4
FROM Civilizations_GreatestEarthRequestedResource WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_EuroLargeRequestedResource (Europe Giant)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_EuroGiantRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_EuroGiantRequestedResource
		(Type, 						Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_BRITAIN_FSN',	Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_EuroGiantRequestedResource WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_EuroLargeRequestedResource (Europe Large)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_EuroLargeRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_EuroLargeRequestedResource
		(Type, 						Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_BRITAIN_FSN',	Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_EuroLargeRequestedResource WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_AmericasRequestedResource (Americas)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_AmericasRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_AmericasRequestedResource
		(Type, 						Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_BRITAIN_FSN',	Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_AmericasRequestedResource WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_BritishIslesRequestedResource (British Isles)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_BritishIslesRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_BritishIslesRequestedResource
		(Type, 						Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_BRITAIN_FSN',	Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_BritishIslesRequestedResource WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_NorthAtlanticRequestedResource (North Atlantic)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_NorthAtlanticRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_NorthAtlanticRequestedResource
		(Type, 						Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_BRITAIN_FSN',	Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_NorthAtlanticRequestedResource WHERE Type = 'CIVILIZATION_ENGLAND';
------------------------------------------------------------	
-- Civilizations_NorthWestEuropeRequestedResource (North-West Europe)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_NorthWestEuropeRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_NorthWestEuropeRequestedResource
		(Type, 						Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_BRITAIN_FSN',	Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_NorthWestEuropeRequestedResource WHERE Type = 'CIVILIZATION_ENGLAND';
--==========================================================================================================================
--==========================================================================================================================